GFS_ACL_CLEAR_PERMS(3)

NAME
gfs_acl_clear_perms - clear all permissions from a Gfarm ACL permission set

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_clear_perms(gfarm_acl_permset_t permset_d);

INPUT ARGUMENTS

permset_d
    An ACL permission set.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_add_perm(3), gfs_acl_delete_perm(3), gfs_acl_get_perm(3), gfs_acl_get_permset(3), gfs_acl_set_permset(3)